//**************************************************
//
// drawarea.h - Declares a generic class for wrapping
//	        drawing type events (mouse, repaint, etc.)
//		into a single signal to emit to a parent.
//
// Written by: H. Welch August 2000
//	       Based loosely on preliminary code by Benjamin Stocks
//
// Modified by: E. Durant 26 September 2003
//		Added std:: as needed for portability
//**************************************************


#ifndef DRAWAREA_H
#define DRAWAREA_H
 
// Qt library headers to support the class widgets
#include <qwidget.h>

// Other system headers
#include <string>

class DrawArea : public QWidget
{
Q_OBJECT	// Indicate that this class contains a signal

public:	// Constructor and destructor
	DrawArea (QWidget* parent = NULL, const std::string& name="");
	virtual ~DrawArea();

protected:
	// Override virtual methods for drawing events
	virtual void mousePressEvent(QMouseEvent* mouseEvent);
	virtual void mouseMoveEvent(QMouseEvent* mouseEvent);
	virtual void mouseReleaseEvent(QMouseEvent* mouseEvent);
	virtual void paintEvent(QPaintEvent* paintEvent);

signals:
	// Signal to notify the parent of any event
	void drawAreaEvent(QEvent* event);
};
#endif
