######################################################
# $Id: sample.pro,v 1.1 2006/02/08 03:28:01 hornick Exp $
# qmake configuration file for building empty CS321 shell.
#
# Written by: H. Welch September 2002
# Updated by: E. Durant November 2002 (see RCS log for details)
# Updated by: E. Durant 26 September 2003
#             Simplifications for latest Qt / RH9
# Updated by: E. Durant 6 October 2004
#             Added notes on HEADERS and updated library settings
######################################################

TEMPLATE = app
CONFIG += qt warn_on release thread
# Change to debug from release to support symbolic debugging (try gdb)

# Define pathing variables for flexibility
unix:BASE = ./
unix:MOC_DIR = $$(BASE)tmp/
unix:OBJECTS_DIR = $$(BASE)tmp/

# If you are not using src and include sub-directories 
# these can be omitted.
unix:SUBDIRS += $$(BASE)src/
unix:VPATH += $$(BASE)src/
unix:INCLUDEPATH *= $$(BASE)include/
unix:DEPENDPATH *= $$(BASE)include/

# Help the system find the shell
unix:LIBS += -lm -lcs321
unix:INCLUDEPATH += /usr/local/cs321/include/
# unix:LIBS += -L/usr/local/cs321/lib/ # Should not be needed with ldconfig setup
# unix:LIBS += -lefence # Electric Fence, if desired, for heap access debugging

# Warn on common virtual function errors
QMAKE_CXXFLAGS_WARN_ON += -Woverloaded-virtual
# Make warnings fatal (to encourage addressing warnings; disable if needed)
QMAKE_CXXFLAGS_WARN_ON += -Werror

# Specify that this is the cs321 shell application
TARGET = cs321

# Describe source code files
SOURCES += cs321.cpp

# Describe header files (none used by sample project)
# HEADERS +=
