######################################################
#
# shell.pro - qmake file for building CS321 shell
#             library.
#
# Written by: H. Welch September 2002
#
# Modified by: E. Durant 26 September 2003
#	       increased compiler warning level
# 
######################################################

# Build the shell library
TEMPLATE = lib
CONFIG += qt warn_on release thread
# Change to debug from release to support symbolic debugging

# Define pathing variables for flexibility
unix:BASE = ./
unix:MOC_DIR = $$(BASE)tmp
unix:SUBDIRS += $$(BASE)src
unix:VPATH += $$(BASE)src
unix:OBJECTS_DIR = $$(BASE)tmp
unix:INCLUDEPATH += $$(BASE)include
unix:DEPENDPATH += $$(BASE)include 

# Warn on common virtual function errors
QMAKE_CXXFLAGS_WARN_ON += -Woverloaded-virtual
# Make warnings fatal (to encourage addressing warnings; disable if needed)
QMAKE_CXXFLAGS_WARN_ON += -Werror

# Specify that this is the cs321 shell library
TARGET = cs321
unix:DESTDIR = $$(BASE)lib

# Describe source code files
SOURCES += drawarea.cpp
SOURCES += shell.cpp

# Describe the header files
HEADERS += drawarea.h
HEADERS += shell.h
